MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027291Open CASCADE[OCCT] OCCT:Samplespublic2016-03-21 14:292016-04-20 15:49
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027291: Command File->New crashes Import Export Qt sample on Linux
DescriptionCommand File->New (or hotkey Ctrl+N) crashes Import Export Qt sample on Linux.
The same situation is reproduced with dependent applications.

Qt ver 4.8.6
Steps To ReproduceRun the IESample on linux
Try to run "New" command from menu, from buttons bar and by hotkey Ctrl+N
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0026603closedbugmaster Community Problem with maximization and normalization document windows in Qt samples with Qt 5.x 

-  Notes
(0051825)
git (administrator)
2016-03-21 17:21

Branch CR27291 has been created by ski.

SHA-1: 7aa0cf4647adcd9ee816610804648b3ef1a9ba90


Detailed log of new commits:

Author: ski
Date: Mon Mar 21 17:21:01 2016 +0300

    0027291: Command File->New crashes Import Export Qt sample on Linux
    
    Crash was fixed by creating own window for each platform.
(0051826)
ski (developer)
2016-03-21 17:28

Dear kgv,

Please review.
(0051841)
ski (developer)
2016-03-22 11:56

As it was discussed with bugmaster, PRODUCT branch CR27291 was created too.
It contains minor changes to have proper environment for Java sample.
(0051905)
kgv (developer)
2016-03-23 16:02
edited on: 2016-03-23 16:03

As far as I understand, the patch reverts modifications that has been done in scope of 0026603.
Does the problem within recent Qt versions have been also checked within the patch?

(0051979)
git (administrator)
2016-03-25 11:16

Branch CR27291 has been updated forcibly by ski.

SHA-1: 133e6dd7d6b3527e76e100b355f9b15fbe6ceeff
(0051980)
git (administrator)
2016-03-25 11:19

Branch CR27291 has been updated forcibly by ski.

SHA-1: 1da260a1921841ae87c3c9eec3620a58bfe89cc9
(0051986)
git (administrator)
2016-03-25 12:02

Branch CR27291 has been updated forcibly by ski.

SHA-1: a607e97ea5a0aad64a6a443e520298adc68cc008
(0051990)
git (administrator)
2016-03-25 12:20

Branch CR27291 has been updated forcibly by ski.

SHA-1: bc1ce052d89454ceedc64d3c5877316e39cf96cc
(0051991)
kgv (developer)
2016-03-25 12:30

+#if !defined(_WIN32) && QT_VERSION < 0x050000
+  XSynchronize(x11Info().display(),true);

X11 calls should be also excluded on OS X platform (see macros from Xw_Window.hxx):
#if !defined(_WIN32) && (!defined(__APPLE__) || defined(MACOSX_USE_GLX))
(0051992)
git (administrator)
2016-03-25 12:34

Branch CR27291 has been updated forcibly by ski.

SHA-1: 91d82e0323ba3cfab457df3fca85d8878344cec7
(0051997)
ski (developer)
2016-03-25 13:32

OCCT branch CR27291 was updated.
PRODUCTS branch CR27291 is ready.

The problem can be reproduced only with Qt 4.x.
I checked patch on Debian70-64 with Qt 4.8.6 - all is OK.

please, review.
(0051999)
kgv (developer)
2016-03-25 14:01
edited on: 2016-03-25 14:02

-set "PATH=%SAMPLE_DIR%\%BIN_TAIL%;%PATH%"
+set "PATH=%SAMPLE_DIR%\%BIN_TAIL%;%JAVA_HOME%/bin;%JAVA_HOME%/jre/bin;%PATH%"

The branch CR27291 within products looks unrelated to bug description.

The patch within OCCT git looks OK.

(0052004)
ski (developer)
2016-03-25 14:23

Separate issue #27307 for Java sample environment was created.
PRODUCTS branch CR27291 was removed.
(0052827)
git (administrator)
2016-04-17 13:07

Branch CR27291 has been deleted by kgv.

SHA-1: 91d82e0323ba3cfab457df3fca85d8878344cec7

- Related Changesets
occt: master a722bd55
Timestamp: 2016-03-25 09:34:28
Author: ski
Committer: bugmaster
Details ] Diff ]
0027291: Command File->New crashes Import Export Qt sample on Linux

Crash on Qt 4.8.6 was fixed.
mod - samples/qt/Common/src/View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-21 14:29 ski New Issue
2016-03-21 14:29 ski Assigned To => ski
2016-03-21 14:29 ski Status new => assigned
2016-03-21 17:21 git Note Added: 0051825
2016-03-21 17:28 ski Note Added: 0051826
2016-03-21 17:28 ski Assigned To ski => kgv
2016-03-21 17:28 ski Status assigned => resolved
2016-03-22 11:56 ski Note Added: 0051841
2016-03-23 16:00 kgv Relationship added related to 0026603
2016-03-23 16:02 kgv Note Added: 0051905
2016-03-23 16:02 kgv Assigned To kgv => ski
2016-03-23 16:02 kgv Status resolved => feedback
2016-03-23 16:03 kgv Note Edited: 0051905 View Revisions
2016-03-23 16:03 kgv Note Edited: 0051905 View Revisions
2016-03-25 11:16 git Note Added: 0051979
2016-03-25 11:19 git Note Added: 0051980
2016-03-25 12:02 git Note Added: 0051986
2016-03-25 12:20 git Note Added: 0051990
2016-03-25 12:30 kgv Note Added: 0051991
2016-03-25 12:34 git Note Added: 0051992
2016-03-25 13:31 ski Status feedback => assigned
2016-03-25 13:32 ski Note Added: 0051997
2016-03-25 13:32 ski Assigned To ski => kgv
2016-03-25 13:32 ski Status assigned => resolved
2016-03-25 13:32 ski Description Updated View Revisions
2016-03-25 14:01 kgv Note Added: 0051999
2016-03-25 14:01 kgv Assigned To kgv => ski
2016-03-25 14:01 kgv Status resolved => feedback
2016-03-25 14:02 kgv Note Edited: 0051999 View Revisions
2016-03-25 14:23 ski Note Added: 0052004
2016-03-25 14:23 ski Assigned To ski => bugmaster
2016-03-25 14:23 ski Status feedback => reviewed
2016-03-28 14:56 bugmaster Status reviewed => tested
2016-03-28 14:59 bugmaster Target Version 7.1.0 => 7.0.0
2016-03-29 15:55 bugmaster Changeset attached => occt master a722bd55
2016-03-29 15:55 bugmaster Status tested => verified
2016-03-29 15:55 bugmaster Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052827
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker